DISPDATA_CREATE_WINDOW(3)

EXPERIMENTAL_FUNC
dispdata_create_window - Create a display data window.

SYNOPSIS
#include <karma_dispdata.h>

KDisplayDataWindow dispdata_create_window

(KDisplayDataCanvas pc, KDisplayDataCanvas rgb, void (*show_canvas) (void *info, KWorldCanvas canvas), void *info )

DESCRIPTION
Create a display data window.

pc  The PseudoColour canvas. This may contain NULL KWorldCanvas objects.

rgb The TrueColour/DirectColour canvas. This may contain NULL KWorldCanvas objects.

show_canvas
    The function that is called when a canvas needs to be shown.

info
    An arbitrary information pointer passed to <<show_canvas>>.

RETURN VALUE
A KDisplayDataWindow object on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
If either of the main canvases is destroyed, the KDisplayDataWindow object is automatically destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/